Closed Bug 1427831 Opened 2 years ago Closed 2 years ago

Release mozlog 3.6

Categories

(Testing :: Mozbase, enhancement)

Version 3
enhancement
Not set

Tracking

(firefox59 fixed)

RESOLVED FIXED
mozilla59
Tracking Status
firefox59 --- fixed

People

(Reporter: jgraham, Assigned: jgraham)

Details

Bug 1419826 made a backwards-incompatible change to the API.
Pushed by james@hoppipolla.co.uk:
https://hg.mozilla.org/integration/mozilla-inbound/rev/5f72a3d1d7fa
Update mozlog version number for release, r=ahal
When this is backwards-incompatible why don't we push a 4.0 release? Bumping from 3.5 to 3.6 can cause problems with consumers.
Flags: needinfo?(james)
Assignee: nobody → james
Status: NEW → ASSIGNED
Not unless pip changed behaviour. AIUI it always installs the latest release unless you pin a version. So it only affects people who pinned to a specific major version which seems likely to be no one. Also I believe this change isn't really backwards incompatible, it's just not forward compatible. wptrunner used the new API so requires the new version.
Flags: needinfo?(james)
Thank you for the clarification.
Keywords: leave-open
The release to PyPI has already happened. So nothing left to do here.

https://pypi.python.org/pypi/mozlog/3.6
Status: ASSIGNED → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla59
You need to log in before you can comment on or make changes to this bug.